# Currency Tokens

Currency Tokens are the native or utility tokens used for payments, fees, or transfers within a osur integreated networks.

Use these popular Currency Tokens to get acces to your first Equity Tokens and step up your finances.

## Currency Tokens List

> Returns a list of all non-equity tokens supported by the platform.\
> \
> Each token entry contains:\
> \- token\_symbol: Symbol of the token (e.g., 'USDT/Base')\
> \- address: Address of the token contract\
> \- network: Name of the network where the token is deployed (e.g., 'Base')\
> \- network\_id: ID of the network where the token is deployed (e.g., 8453)\
> \- decimals: Number of decimals in the token (e.g., 6)\
> \- icon: URL to the token icon image

```json
{"openapi":"3.1.0","info":{"title":"Sailing Protocol API","version":"1.0.0"},"servers":[{"description":"Sailing Protocol Node","url":"https://sailing.global"}],"paths":{"/api/instruments/currency_tokens_list":{"post":{"description":"Returns a list of all non-equity tokens supported by the platform.\n\nEach token entry contains:\n- token_symbol: Symbol of the token (e.g., 'USDT/Base')\n- address: Address of the token contract\n- network: Name of the network where the token is deployed (e.g., 'Base')\n- network_id: ID of the network where the token is deployed (e.g., 8453)\n- decimals: Number of decimals in the token (e.g., 6)\n- icon: URL to the token icon image","operationId":"post_currency_tokens_list_api_instruments_currency_tokens_list_post","responses":{"200":{"content":{"application/json":{"schema":{"items":{"properties":{"address":{"description":"Token contract address","type":"string"},"decimals":{"description":"Number of decimal places for the token","type":"integer"},"icon":{"description":"URL to the token icon image","type":"string"},"network":{"description":"Network name where the token is deployed","type":"string"},"network_id":{"description":"Chain ID of the network where the token is deployed","type":"integer"},"token_symbol":{"description":"Token symbol","type":"string"}},"required":["token_symbol","address","network","network_id","decimals","equity_symbol"],"type":"object"},"type":"array"}}},"description":"List of all non-equity tokens supported by the platform"}},"summary":"Currency Tokens List"}}}}
```

{% hint style="info" %}
**Want us to support your dApp's Token?** [We’re all ears](https://wa.me/17866553696), let's make the Web3 comunity grow toghether!
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sailingprotocol.org/supported-assets/currency-tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
